## libjwt 1.8.0+dfsg

=== debian/changelog ===
libjwt (1.8.0+dfsg-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 25 Jul 2017 19:32:33 +0200
