=== debian/control ===
Source: libjwt
Section: devel
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 10)
	, pkg-config
	, libjansson-dev
	, libssl-dev
	, libb64-dev
	, check
#	, gnutls-dev
Standards-Version: 4.0.0
Homepage: https://github.com/benmcollins/libjwt
#Vcs-Git: https://anonscm.debian.org/collab-maint/oauth2-server.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/oauth2-server.git

Package: libjwt0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C library to handle JWT (JSON Web Token)
 libjwt is a library which allows you to encode and decode 
 JSON Web Tokens (JWT).
 .
 JSON Web Tokens are an open, industry standard RFC 7519 method for 
 representing claims securely between two parties.

Package: libjwt-dev
Architecture: any
Section: libdevel
Depends: libjwt0 (= ${binary:Version})
        , ${misc:Depends}
Description: C library to handle JWT (JSON Web Token) - development
 libjwt is a library which allows you to encode and decode 
 JSON Web Tokens (JWT).
 .
 JSON Web Tokens are an open, industry standard RFC 7519 method for 
 representing claims securely between two parties.
 .
 This package contains the development files.
