=== debian/control ===
Source: libjwt
Section: devel
Priority: optional
Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 11)
	, pkg-config
	, libjansson-dev
	, libssl-dev
	, libb64-dev
	, check
	, dh-exec
#	, gnutls-dev
Standards-Version: 4.2.1
Homepage: https://github.com/benmcollins/libjwt
Vcs-Browser: https://salsa.debian.org/debian-iot-team/oauth2/libjwt
Vcs-Git: https://salsa.debian.org/debian-iot-team/oauth2/libjwt.git

Package: libjwt0
Section: libs
Multi-Arch: same
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C library to handle JWT (JSON Web Token)
 libjwt is a library which allows you to encode and decode
 JSON Web Tokens (JWT).
 .
 JSON Web Tokens are an open, industry standard RFC 7519 method for
 representing claims securely between two parties.

Package: libjwt-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libjwt0 (= ${binary:Version})
        , ${misc:Depends}
Description: C library to handle JWT (JSON Web Token) - development
 libjwt is a library which allows you to encode and decode
 JSON Web Tokens (JWT).
 .
 JSON Web Tokens are an open, industry standard RFC 7519 method for
 representing claims securely between two parties.
 .
 This package contains the development files.
