=== debian/changelog ===
libjwt (1.10.1-1) sid; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.3.0 (no changes)
  * debian/*.symbols: add "* Build-Depends-Package:"

  [Nicolas Mora]
  * debian/control: add new package libjwt-gnutls, libjwt with gnutls backend
  * debian/rules: run dh_auto_tests on build

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 13 Jan 2019 15:13:51 +0100
