## libjwt 1.10.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required (VERSION 3.9)
+cmake_minimum_required (VERSION 3.7)
 
 if (MSVC)
 	set (CMAKE_SYSTEM_VERSION 8.1 CACHE TYPE INTERNAL FORCE)
@@ -21,6 +21,9 @@
 	option (BUILD_TESTS "Build test projects." OFF)
 endif ()
 
+if (APPLE)
+	add_definitions(-DNO_WEAK_ALIASES)
+endif ()
 include_directories (include)
 
 if (MSVC)
