=== debian/changelog ===
libjwt (1.10.2-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 14 Jul 2019 19:03:00 +0200
