=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
 	, libb64-dev
 	, check
 	, dh-exec
-#	, gnutls-dev
-Standards-Version: 4.2.1
+	, gnutls-dev
+	, quilt
+Standards-Version: 4.3.0
 Homepage: https://github.com/benmcollins/libjwt
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/oauth2/libjwt
 Vcs-Git: https://salsa.debian.org/debian-iot-team/oauth2/libjwt.git
@@ -42,3 +43,36 @@
  representing claims securely between two parties.
  .
  This package contains the development files.
+
+Package: libjwt-gnutls0
+Section: libs
+Multi-Arch: same
+Architecture: any
+Conflicts: libjwt0
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: C library to handle JWT (JSON Web Token) - GnuTLS flavour
+ libjwt is a library which allows you to encode and decode
+ JSON Web Tokens (JWT). GnuTLS flavour.
+ .
+ JSON Web Tokens are an open, industry standard RFC 7519 method for
+ representing claims securely between two parties.
+ .
+ SSL support is provided by GnuTLS.
+
+Package: libjwt-gnutls-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Conflicts: libjwt-dev
+Depends: libjwt-gnutls0 (= ${binary:Version})
+        , ${misc:Depends}
+Description: Development files for libjwt - GnuTLS flavour
+ libjwt is a library which allows you to encode and decode
+ JSON Web Tokens (JWT). GnuTLS flavour.
+ .
+ JSON Web Tokens are an open, industry standard RFC 7519 method for
+ representing claims securely between two parties.
+ .
+ This package contains the development files.
+ .
+ SSL support is provided by GnuTLS.
