=== debian/rules ===
--- 
+++ 
@@ -16,5 +16,30 @@
 %:
 	dh $@ --with autoreconf
 
+override_dh_auto_configure:
+	# create build directory for both flavours (openssl and gnutls)
+	mkdir -p debian/build-openssl debian/build-gnutls
+	# undo last patch, which is the gnutls patch
+	quilt pop
+	tar -cf - --exclude=debian/build* --exclude=.pc . \
+	    | tar -xf - -C debian/build-openssl
+	# reapply last patch, which is the gnutls patch
+	quilt push
+	tar -cf - --exclude=debian/build* --exclude=.pc . \
+	    | tar -xf - -C debian/build-gnutls
+	# execute dh_auto_configure on both build flavours
+	cd debian/build-openssl && autoreconf -i && dh_auto_configure
+	cd debian/build-gnutls && autoreconf -i && dh_auto_configure -- --without-openssl
+
+override_dh_auto_build:
+	# execute dh_auto_build on both build flavours
+	cd debian/build-openssl && dh_auto_build
+	cd debian/build-gnutls && dh_auto_build
+
+override_dh_auto_test:
+	# execute dh_auto_test on both build flavours
+	cd debian/build-openssl && dh_auto_test
+	cd debian/build-gnutls && dh_auto_test
+
 override_dh_auto_install:
 	echo dh_auto_install
