=== debian/changelog ===
libjwt (1.17.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:08:29 +0000

libjwt (1.17.0-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:24:34 +0000

libjwt (1.17.0-2) unstable; urgency=medium

  * finally upload to unstable
    (fix for CVE-2024-25189 in unstable: Closes: #1063534)
    (reverse dependencies did build successful, maintainers are aware)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 20 Feb 2024 23:21:00 +0100

libjwt (1.17.0-1) experimental; urgency=medium

  * New upstream release.
  * Contains fix for CVE-2024-25189 (Closes: #1063534)
  * update symbols file

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 18 Feb 2024 13:21:00 +0100

libjwt (1.16.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: do not build examples
  * debian/rules: temporarily disable tests due to: FAIL: jwt_rsa_pss
  * debian/control: use dh13
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/control: add Rules-Requires-Root: no
  * debian/control: bump soname of libjwt from 0 to 2

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 09 Sep 2023 00:35:59 +0200
