=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libjwt
 Section: devel
 Priority: optional
-Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper-compat (= 13)
 	, pkg-config
 	, libjansson-dev
 	, libssl-dev
@@ -12,12 +13,13 @@
 	, dh-exec
 	, gnutls-dev
 	, quilt
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/benmcollins/libjwt
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/oauth2/libjwt
 Vcs-Git: https://salsa.debian.org/debian-iot-team/oauth2/libjwt.git
+Rules-Requires-Root: no
 
-Package: libjwt0
+Package: libjwt2
 Section: libs
 Multi-Arch: same
 Architecture: any
@@ -33,7 +35,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libjwt0 (= ${binary:Version})
+Depends: libjwt2 (= ${binary:Version})
         , ${misc:Depends}
 Description: C library to handle JWT (JSON Web Token) - development
  libjwt is a library which allows you to encode and decode
@@ -44,11 +46,11 @@
  .
  This package contains the development files.
 
-Package: libjwt-gnutls0
+Package: libjwt-gnutls2
 Section: libs
 Multi-Arch: same
 Architecture: any
-Conflicts: libjwt0
+Conflicts: libjwt2
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: C library to handle JWT (JSON Web Token) - GnuTLS flavour
  libjwt is a library which allows you to encode and decode
@@ -64,7 +66,7 @@
 Multi-Arch: same
 Section: libdevel
 Conflicts: libjwt-dev
-Depends: libjwt-gnutls0 (= ${binary:Version})
+Depends: libjwt-gnutls2 (= ${binary:Version})
         , ${misc:Depends}
 Description: Development files for libjwt - GnuTLS flavour
  libjwt is a library which allows you to encode and decode
