=== debian/changelog ===
libjwt (1.17.2-1) unstable; urgency=medium

  * New upstream release.
  * add gbp.conf, salsa-ci.yml and autopkgtest
  * add debian/clean (Closes: #1046215)
  * update symbols files

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 22 Nov 2024 18:58:47 +0100
