=== debian/rules ===
--- 
+++ 
@@ -38,9 +38,8 @@
 
 override_dh_auto_test:
 	# execute dh_auto_test on both build flavours
-	# XXX temporarily disable tests due to: FAIL: jwt_rsa_pss
-	#cd debian/build-openssl && dh_auto_test
-	#cd debian/build-gnutls && dh_auto_test
+	cd debian/build-openssl && dh_auto_test
+	cd debian/build-gnutls && dh_auto_test
 
 override_dh_auto_install:
 	echo dh_auto_install
