=== debian/tests/control ===
Tests: smoke
# don't depend on all binary packages
Depends: libjwt-dev, build-essential, pkg-config
Restrictions: allow-stderr
